OTPSettings

Get available SMS text templates

Fetch available SMS text templates. For each available language, all the text samples are returned. This endpoint supports filtration, so if you want to get text templates for a specific language, or all translations of a specific template, you can provide those values in parameters. Each text contains an id of a template, which can be used to set a default template in OTP settings.

GET
/api/v1/sms/otp/settings/templates

Query Parameters

languages?array<string>

Optional parameter. Accepts a list of ISO alpha-2 codes in lower case. Providing this parameter allows you to filter out texts of provided languages.

text_id?integer

Optional parameter. Accepts template ID. Providing this parameter allows you to filter out available translations and languages of the template.

Range1 <= value

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/settings/templates" \  -H "Authorization: string"
{
  "code": 0,
  "data": [
    {
      "alpha2": "string",
      "english_name": "string",
      "id": 0,
      "language_name": "string",
      "value": "string"
    }
  ],
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.